| Home | Libraries | People | FAQ | More

## Class discard_iterator

boost::compute::discard_iterator — An iterator which discards all values written to it.

## Synopsis

    // In header: <boost/compute/iterator/discard_iterator.hpp>

    class discard_iterator {
    public:
      // types
      typedef unspecified                 super_type;
      typedef super_type::reference       reference;
      typedef super_type::difference_type difference_type;

      // public member functions
      discard_iterator(size_t = 0);
      discard_iterator(const discard_iterator &);
      discard_iterator & operator=(const discard_iterator &);
      ~discard_iterator();
    };

## Description

See Also: make_discard_iterator(), constant_iterator

### `discard_iterator` public member functions

1.     discard_iterator(size_t index = 0);

2.     discard_iterator(const discard_iterator & other);

3.     discard_iterator & operator=(const discard_iterator & other);

4.     ~discard_iterator();